LOGIN(1)

BEZEICHNUNG
login - startet eine Sitzung auf dem System

SYNTAX
login [-p] [Nutzername] [ENV=VAR ...]
login [-p] [-h Host] [-f Nutzername]
login [-p] -r Host

BESCHREIBUNG
login wird verwendet, um eine neue Sitzung auf dem System zu starten. Es wird normalerweise automatisch als Antwort auf den Prompt login: auf dem Terminal des Nutzers ausgeführt. login kann von der Shell speziell behandelt werden und kann nicht als Subprozess gestartet werden. Typischerweise wird login von der Shell als exec login ausgeführt, so daß der Nutzer die aktuelle Shell verlassen muß. Der Versuch, von einer Shell außer der Login-Shell login auszuführen, wird eine Fehlermeldung generieren.

Der Nutzer wird anschließend nach einem Kennwort gefragt, falls erforderlich. Dieses wird während der Eingabe nicht angezeigt. Es sind nur eine kleine Anzahl von Login-Fehlern möglich, falls login abbricht und die Kommunikation getrennt wird.

Falls die Kennwortalterung für ein Konto aktiviert wurde, kann es sein, daß der Nutzer vor der weiteren Nutzung nach einem neuen Kennwort gefragt wird. Das alte und das neue Kennwort müssen angegeben werden, bevor fortgefahren werden kann. In der Dokumentation zu passwd(1) finden sich weitere Informationen.

Nach einem erfolgreichen Login werdem dem Nutzer Systemmeldungen präsentiert, sowie das Vorhandensein von Mails angezeigt. Die Anzeige der systemweiten Nachrichtendatei /etc/motd kann unterdrückt werden, wenn im Loginverzeichnis eine leere Datei .hushlogin angelegt wird. Die Mailnachricht ist entweder "Sie haben neue Mails.", "Sie haben Mails.", oder "Keine Mails.", je nach Zustandes der Mailbox des Nutzers.

Die Nutzer- und Gruppen-IDs werden gemäß den Werten in der Datei /etc/passwd gesetzt. Die Werte für $HOME, $SHELL, $PATH, $LOGNAME und $MAIL werden ebenfalls entsprechend der Einträge in dem Kennworteintrag gesetzt. Werte für ulimit, umask und nice können ebenfalls gemäß Werten im GECOS-Feld eingestellt werden.

Auf einigen Installationen wird die Umgebungsvariable $TERM entsprechend dem Typ des Ausgabeterminals gesetzt, so wie in /etc/ttytype angegeben.

Ein Initialisierungsskript für den Kommandozeilen-Interpreter kann auch ausgeführt werden. Dazu sehe man in den entsprechenden Manual-Seiten nach.

Ein Subsystem-Login wird durch das Vorhandensein eines "*" als erstem Buchstaben der Login-Shell angezeigt. Das angegebene Heimatverzeichnis wird als Wurzel des neuen Dateisystems verwendet werden, in das der Nutzer tatsächlich eingeloggt ist.

OPTIONEN

-f  Keine Authentifizierung durchführen, Nutzer ist bereits angemeldet.

-h  Name des entfernten Rechners für das Login.

-p  Behalte die Umgebungseinstellungen bei.

-r  Führ das Autologin-Protokoll für rlogin aus.

Die Optionen -r, -h und -f werden nur genutzt, wenn login als root ausgeführt wird.

HINWEISE
Diese Version von login hat viele Optionen für die Compilierung, davon sind eventuell nur einige auf bestimmten Systemen in Gebrauch.

Der Ort der Konfigurationsdateien kann entsprechend der Systemkonfiguration abweichen.

Es liegt NICHT in der Verantwortung von login, Nutzer von der utmp-Datei zu entfernen. Sowohl getty(8) als auch init(8) sind dafür zuständig, die Eigentümerschaft einer Terminalsitzung aufzuräumen. Falls login ohne exec von der Shell genutzt wird, wird der Nutzer weiterhin in der Lage sein, eingeloggt zu erscheinen, obwohl er aus der Subsitzung ausgeloggt ist.

DATEIEN
/var/run/utmp    - Liste der aktuellen Login-Sitzungen
/var/log/wtmp    - Liste der vorherigen Login-Sitzungen
/etc/passwd    - Informationen über Nutzerkonten
/etc/shadow    - Verschlüsselte Kennwörter und Alterungsinformationen
/etc/motd    - Systemnachricht-Datei
/etc/nologin    - Verhindert, daß sich Nutzer außer dem Supernutzer einloggen
/etc/ttytype    - Lister der Terminaltypen
$HOME/.hushlogin    - Unterdrückt die Ausgabe der Systemnachricht

SIEHE AUCH
mail(1), passwd(1), sh(1), su(1), login.defs(5), nologin(5), passwd(5), getty(8)

AUTOR
Julianne Frances Haugh <jockgrrl@ix.netcom.com>
Deutsche Übersetzung von Josef Spillner <josef@ggzgamingzone.org>